%define floppyver 0.14
%define no_sfdisk_archs ppc ppc64
%define no_hwclock_archs s390 s390x
%define cytune_archs %{ix86} alpha armv4l

Summary: A collection of basic system utilities.
Name: util-linux
Version: 2.11z
Release: 2m
License: GPL
Group: System Environment/Base
Source0: ftp://ftp.kernel.org/pub/linux/utils/%{name}/%{name}-%{version}.tar.bz2
Source1: util-linux-2.7-login.pamd
Source2: util-linux-2.7-chfn.pamd
Source3: util-linux-2.7-chsh.pamd
Source6: mkcramfs.c
Source7: cramfs.h
Source8: nologin.c
Source9: nologin.8
Source10: kbdrate.tar.gz
Source11: http://twtelecom.dl.sourceforge.net/sourceforge/floppyutil/floppy-%{floppyver}.tar.bz2
NoSource: 0
NoSource: 11

BuildRequires: sed
BuildRequires: pam-devel
BuildRequires: ncurses-devel
BuildRequires: libtermcap-devel
BuildRequires: zlib-devel
BuildRequires: slang-devel

##### Red Hat Linux-specific patches
# Changes to MCONFIG build-time configuration
Patch0: util-linux-2.11y-rhconfig.patch
# Don't install the chkdupexe perl script
Patch1: util-linux-2.11r-nochkdupexe.patch
# This patch is here because gafton put it here five years ago
Patch2: util-linux-2.11a-gecossize.patch
# No clue why this patch is here
Patch4: util-linux-2.11n-mount.patch

# Helps allow building/installing as non-root
Patch21: util-linux-2.9v-nonroot.patch

# Force 'more' to link against libtermcap so that we don't have a
# /bin binary depending on a /usr/lib library (ncurses)
Patch27: util-linux-2.11w-moretc.patch

# 1. Reduce MAX_PARTS to 16 (upstream reasonably won't take it)
# 2. Use O_LARGEFILE (I have no idea whether this has any effect given
#    -D_FILE_OFFSET_BITS=64)
# 3. Use the standard syscall() function instead of some bad hacks.
Patch70: util-linux-2.11z-miscfixes.patch

# Because we have our own mkcramfs, because the copyright/license is unclear
Patch100: mkcramfs.patch
Patch101: mkcramfs-quiet.patch

# Note on how to set up raw device mappings using RHL /etc/sysconfig/rawdevices
Patch109: util-linux-2.11f-rawman.patch

######## Patches that should be upstream eventually
Patch206: mount-2.10r-kudzu.patch
#Patch207: util-linux-2.11w-swapon.patch
#Patch211: mount-2.11e-user_label_umount.patch
#Patch212: util-linux-2.11w-netdev.patch

#Patch60: util-linux-2.10s-s390x.patch
#Patch61: util-linux-2.11b-s390x.patch

Patch103: util-linux-2.11r-ownerumount.patch
Patch106: util-linux-2.11w-swaponsymlink-57300.patch
Patch107: util-linux-2.11y-procpartitions-37436.patch
Patch113: util-linux-2.11r-ctty3.patch
Patch116: util-linux-2.11n-loginutmp-66950.patch

#Patch119: fdisk-add-primary.patch

Patch120: util-linux-2.11y-skipraid2.patch
#Patch121: util-linux-2.11r-hwclock-72140.patch
#Patch122: util-linux-2.11r-hwclock_hammer.patch

#Patch200: util-linux-2.11w-hammer.patch
Patch123: util-linux-2.11y-blkgetsize-81069.patch
Patch124: util-linux-2.11y-umount-75421.patch
Patch125: util-linux-2.11y-umask-82552.patch
Patch126: util-linux-2.11y-multibyte.patch
Patch127: util-linux-2.11y-mcookie-83345.patch
Patch128: util-linux-2.11y-ipcs-84243.patch

# When adding patches, please make sure that it is easy to find out what bug # the
# patch fixes.
########### END upstreamable

Obsoletes: fdisk tunelp
%ifarch alpha sparc sparc64 sparcv9 s390
Obsoletes: clock
%endif
%ifarch alpha
Conflicts: initscripts <= 4.58, timeconfig <= 3.0.1
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: pam >= 0.66-4
Prereq: /sbin/install-info
Provides: fdisk tunelp
Provides: pager
Requires: chkconfig >= 1.3.6-1m

%description
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
many features, Util-linux contains the fdisk configuration tool and
login program.

%package -n mount
Group: System Environment/Base
Summary: Programs for mounting and unmounting filesystems.
ExclusiveOS: Linux
Prereq: mktemp gawk diffutils textutils fileutils

%description -n mount
The mount package contains the mount, umount, swapon, and swapoff
programs. Accessible files on your system are arranged in one big tree
or hierarchy. These files can be spread out over several devices. The
mount command attaches a filesystem on some device to your system's
file tree. The umount command detaches a filesystem from the
tree. Swapon and swapoff, respectively, specify and disable devices
and files for paging and swapping.

%package -n losetup
Summary: Programs for setting up and configuring loopback devices.
Group: System Environment/Base

%description -n losetup
Linux supports a special block device called the loop device, which
maps a normal file onto a virtual block device. This allows for the
file to be used as a "virtual file system" inside another file.
Losetup is used to associate loop devices with regular files or block
devices, to detach loop devices and to query the status of a loop
device.

%prep

%setup -q -a 10 -a 11

%patch0 -p1 -b .rhconfig

# We don't want the 'chkdupexe' program installed
%patch1 -p1 -b .nochkdupexe

%patch2 -p1 -b .gecos

# mount comes from its own rpm (again)
%patch4 -p1 -b .mount
%patch21 -p1 -b .nonroot

# Link 'more' against libtermcap instead of ncurses because ncurses
# is under /usr and won't be accessable if / is mounted but /usr is not
%patch27 -p1 -b .moretc

#patch60 -p1 -b .s390x2
#patch61 -p1 -b .s390x

# No support for large numbers of cylinders in fdisk{sgi,sun}label.*
# Too many places in those files assume that it is an unsigned short,
# not worth fixing.
%patch70 -p1 -b .miscfixes

# mkcramfs
cp %{SOURCE7} %{SOURCE6} .
%patch100 -p1 -b .mkcramfs
%patch101 -p1 -b .quiet

# nologin
cp %{SOURCE8} %{SOURCE9} .

%patch206 -p1 -b .kudzu
#patch207 -p1 -b .swapon
#patch211 -p2 -b .userumount
#patch212 -p1 -b .netdev

sed -e 's:^MAN_DIR=.*:MAN_DIR=%{_mandir}:' -e 's:^INFO_DIR=.*:INFO_DIR=%{_infodir}:' MCONFIG > MCONFIG.new
mv MCONFIG.new MCONFIG

%patch103 -p1 -b .ownerumount
%patch106 -p1 -b .swaponsymlink
%patch107 -p1 -b .procpartitions
%patch109 -p1 -b .rawman

%patch113 -p1 -b .ctty3
%patch116 -p1 -b .loginutmp
#cd fdisk
#patch119 -p0 -b .addprimary
#cd ..
%patch120 -p1 -b .skipraid2
#patch121 -p1 -b .hwclock
#patch122 -p1 -b .hammer_rtc

#patch200 -p1 -b .hammer
%patch123 -p1 -b .blkgetsize
%patch124 -p1 -b .umount
%patch125 -p1 -b .umask
%patch126 -p1 -b .multibyte
%patch127 -p1 -b .mcookie-dumbness

# All of this patch is in except a 'max swap size' change, which
# doesn't seem to be needed

%build
unset LINGUAS || :

%configure

make "OPT=$RPM_OPT_FLAGS -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64" \
        LDFLAGS="" \
        HAVE_PIVOT_ROOT=yes \
        %{?_smp_mflags}
make LDFLAGS="" CFLAGS="$RPM_OPT_FLAGS" -C partx %{?_smp_mflags}
cd rescuept
cc $RPM_OPT_FLAGS -o rescuept rescuept.c
cd ..

pushd floppy-%{floppyver}
# We have to disable floppygtk somehow...
%configure --with-gtk-prefix=/asfd/jkl
make %{?_smp_mflags}
popd

gcc $RPM_OPT_FLAGS -o mkcramfs mkcramfs.c -I. -lz

gcc $RPM_OPT_FLAGS -o nologin nologin.c

pushd sys-utils
    makeinfo --number-sections ipc.texi
popd

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/{bin,sbin}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,6,8,5}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/{pam.d,security/console.apps}

make \
        INSTALLDIR="install -d -m 755" \
        INSTALLSUID="install -m 755" \
        INSTALLBIN="install -m 755" \
        INSTALLMAN="install -m 644" \
        install DESTDIR=${RPM_BUILD_ROOT}
pushd floppy-%{floppyver}
%makeinstall
popd

install -m 755 mount/pivot_root ${RPM_BUILD_ROOT}/sbin
install -m 644 mount/pivot_root.8 ${RPM_BUILD_ROOT}%{_mandir}/man8
install -m 755 rescuept/rescuept ${RPM_BUILD_ROOT}/sbin
mv rescuept/README rescuept/README.rescuept
install -m 755 mkcramfs ${RPM_BUILD_ROOT}/usr/bin
install -m 755 nologin ${RPM_BUILD_ROOT}/sbin
install -m 644 nologin.8 ${RPM_BUILD_ROOT}%{_mandir}/man8
echo '.so man8/raw.8' > $RPM_BUILD_ROOT%{_mandir}/man8/rawdevices.8

install -m 555 partx/{addpart,delpart,partx} $RPM_BUILD_ROOT/sbin

# Correct mail spool path.
sed -e 's,/usr/spool/mail,/var/spool/mail,g' ${RPM_BUILD_ROOT}%{_mandir}/man1/login.1 > ${RPM_BUILD_ROOT}%{_mandir}/man1/login.1.new
mv ${RPM_BUILD_ROOT}%{_mandir}/man1/login.1.new ${RPM_BUILD_ROOT}%{_mandir}/man1/login.1

if [ "%{_infodir}" != "%{_prefix}/info" -a -d ${RPM_BUILD_ROOT}%{_prefix}/info ]; then
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/info; tar cf - ./* ) |
   ( cd ${RPM_BUILD_ROOT}%{_infodir}; tar xf - )
   ( cd ${RPM_BUILD_ROOT}%{_prefix}; rm -rf ./info )
fi

%ifarch sparc sparc64 sparcv9
rm -rf ${RPM_BUILD_ROOT}%{_bindir}/sunhostid
cat << E-O-F > ${RPM_BUILD_ROOT}%{_bindir}/sunhostid
#!/bin/sh
# this should be %{_bindir}/sunhostid or somesuch.
# Copyright 1999 Peter Jones, <pjones@redhat.com> .
# GPL and all that good stuff apply.
(
idprom=\`cat /proc/openprom/idprom\`
echo \$idprom|dd bs=1 skip=2 count=2
echo \$idprom|dd bs=1 skip=27 count=6
echo
) 2>/dev/null
E-O-F
chmod 755 ${RPM_BUILD_ROOT}%{_bindir}/sunhostid
%endif

gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/ipc.info

{
  pushd ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d
  install -m 644 ${RPM_SOURCE_DIR}/util-linux-2.7-login.pamd ./login
  install -m 644 ${RPM_SOURCE_DIR}/util-linux-2.7-chsh.pamd ./chsh
  install -m 644 ${RPM_SOURCE_DIR}/util-linux-2.7-chsh.pamd ./chfn
  popd
}

ln -sf ../../sbin/hwclock ${RPM_BUILD_ROOT}/usr/sbin/hwclock
ln -sf ../../sbin/clock ${RPM_BUILD_ROOT}/usr/sbin/clock
ln -sf hwclock ${RPM_BUILD_ROOT}/sbin/clock

# We do not want dependencies on csh
chmod 644 ${RPM_BUILD_ROOT}%{_datadir}/misc/getopt/*
#rm -f fdisk/README.cfdisk

# mkdir -p $RPM_BUILD_ROOT%{_datadir}/misc
# install text-utils/more.help $RPM_BUILD_ROOT%{_datadir}/misc/

# Final cleanup
%ifnarch %cytune_archs
rm -f $RPM_BUILD_ROOT%{_bindir}/cytune $RPM_BUILD_ROOT%{_mandir}/man8/cytune.8*
%endif
%ifarch %no_sfdisk_archs
rm -f $RPM_BUILD_ROOT/sbin/sfdisk $RPM_BUILD_ROOT%{_mandir}/man8/sfdisk.8*
%endif
%ifarch %no_hwclock_archs
rm -f $RPM_BUILD_ROOT/sbin/{hwclock,clock} $RPM_BUILD_ROOT%{_mandir}/man8/hwclock.8*
%endif
%ifarch s390 s390x
rm -f $RPM_BUILD_ROOT/usr/{bin,sbin}/{fdformat,tunelp,floppy,setfdprm} $RPM_BUILD_ROOT%{_mandir}/man8/{fdformat,tunelp,floppy,setfdprm}.8*
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/fdprm
%endif

#for I in /sbin/cfdisk /sbin/fsck.minix /sbin/mkfs.{bfs,minix} /sbin/sln %{_bindir}/line %{_bindir}/pg; do
for I in /sbin/fsck.minix /sbin/mkfs.{bfs,minix} /sbin/sln %{_bindir}/line %{_bindir}/pg; do
        rm -f $RPM_BUILD_ROOT$I
done

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/line.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/pg.1*
#rm -f $RPM_BUILD_ROOT%{_mandir}/man8/cfdisk.8*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/fsck.minix.8*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/mkfs.minix.8*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/mkfs.bfs.8*

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/ipc.info* %{_infodir}/dir
/usr/sbin/alternatives --install /usr/bin/pager pager /bin/more 50

%postun
if [ "$1" = 0 ]; then
	/sbin/install-info --del %{_infodir}/ipc.info* %{_infodir}/dir
	/usr/sbin/alternatives --remove pager /bin/more
	/usr/sbin/alternatives --auto pager
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc */README.*

/bin/arch
/bin/dmesg
/bin/kill
%attr(755,root,root)    /bin/login
/bin/more

%ifnarch s390 s390x
%config %{_sysconfdir}/fdprm
%endif
%config %{_sysconfdir}/pam.d/chfn
%config %{_sysconfdir}/pam.d/chsh
%config %{_sysconfdir}/pam.d/login

/sbin/agetty
/sbin/blockdev
/sbin/pivot_root
/sbin/ctrlaltdel
/sbin/elvtune
/sbin/addpart
/sbin/delpart
/sbin/partx

%ifnarch %no_sfdisk_archs
/sbin/sfdisk
%{_mandir}/man8/sfdisk.8*
%doc fdisk/sfdisk.examples
%endif

/sbin/fdisk
%{_mandir}/man8/fdisk.8*
%ifnarch %no_hwclock_archs
/sbin/clock
/sbin/hwclock
/usr/sbin/hwclock
%{_mandir}/man8/hwclock.8*
%endif
/sbin/mkfs
/sbin/mkswap
/sbin/rescuept
/sbin/nologin
%{_mandir}/man8/nologin.8*

%{_bindir}/cal
%attr(4711,root,root)   %{_bindir}/chfn
%attr(4711,root,root)   %{_bindir}/chsh
%{_bindir}/col
%{_bindir}/colcrt
%{_bindir}/colrm
%{_bindir}/column
%ifarch %cytune_archs
%{_bindir}/cytune
%{_mandir}/man8/cytune.8*
%endif
%{_bindir}/ddate
%ifnarch s390 s390x
%{_bindir}/fdformat
%endif
%{_bindir}/getopt
%{_bindir}/hexdump
%{_bindir}/ipcrm
%{_bindir}/ipcs
%{_bindir}/isosize
%{_bindir}/logger
%{_bindir}/look
%{_bindir}/mcookie
%{_bindir}/mkcramfs
/sbin/fsck.cramfs
/sbin/mkfs.cramfs
%ifnarch s390 s390x
%{_bindir}/floppy
%{_mandir}/man8/floppy.8*
%endif
%{_bindir}/namei
%attr(4711,root,root)   %{_bindir}/newgrp
%{_bindir}/raw
%{_bindir}/rename
%{_bindir}/renice
%{_bindir}/rev
%{_bindir}/script
%ifnarch s390 s390x
%{_bindir}/setfdprm
%endif
%{_bindir}/setsid
%{_bindir}/setterm
%ifarch sparc sparc64 sparcv9
%{_bindir}/sunhostid
%endif
%{_bindir}/ul
%{_bindir}/whereis
%attr(2755,root,tty)    %{_bindir}/write

/sbin/cfdisk
%{_mandir}/man8/cfdisk.8*

%ifarch %{ix86}
%{_sbindir}/rdev
%{_sbindir}/ramsize
%{_sbindir}/rootflags
%{_sbindir}/vidmode
%{_mandir}/man8/rdev.8*
%{_mandir}/man8/ramsize.8*
%{_mandir}/man8/rootflags.8*
%{_mandir}/man8/vidmode.8*
%endif
%{_sbindir}/readprofile
%ifnarch s390 s390x
%{_sbindir}/tunelp
%endif
%{_sbindir}/vipw
%{_sbindir}/vigr

%{_infodir}/ipc.info*

%{_mandir}/man1/arch.1*
%{_mandir}/man1/cal.1*
%{_mandir}/man1/chfn.1*
%{_mandir}/man1/chsh.1*
%{_mandir}/man1/col.1*
%{_mandir}/man1/colcrt.1*
%{_mandir}/man1/colrm.1*
%{_mandir}/man1/column.1*
%{_mandir}/man1/ddate.1*
%{_mandir}/man1/getopt.1*
%{_mandir}/man1/hexdump.1*
%{_mandir}/man1/kill.1*
%{_mandir}/man1/logger.1*
%{_mandir}/man1/login.1*
%{_mandir}/man1/look.1*
%{_mandir}/man1/mcookie.1*
%{_mandir}/man1/more.1*
%{_mandir}/man1/namei.1*
%{_mandir}/man1/newgrp.1*
%{_mandir}/man1/readprofile.1*
%{_mandir}/man1/rename.1*
%{_mandir}/man1/rev.1*
%{_mandir}/man1/script.1*
%{_mandir}/man1/setterm.1*
%{_mandir}/man1/ul.1*
%{_mandir}/man1/whereis.1*
%{_mandir}/man1/write.1*

%{_mandir}/man8/agetty.8*
%{_mandir}/man8/blockdev.8*
%{_mandir}/man8/ctrlaltdel.8*
%{_mandir}/man8/dmesg.8*
%{_mandir}/man8/elvtune.8*
%ifnarch s390 s390x
%{_mandir}/man8/fdformat.8*
%endif
%{_mandir}/man8/ipcrm.8*
%{_mandir}/man8/ipcs.8*
%{_mandir}/man8/isosize.8*
%{_mandir}/man8/mkfs.8*
%{_mandir}/man8/mkswap.8*
%{_mandir}/man8/pivot_root.8*
%{_mandir}/man8/raw.8*
%{_mandir}/man8/rawdevices.8*
%{_mandir}/man8/renice.8*
%ifnarch s390 s390x
%{_mandir}/man8/setfdprm.8*
%endif
%{_mandir}/man8/setsid.8*
# XXX this man page should be moved to glibc.
%{_mandir}/man8/sln.8*
%ifnarch s390 s390x
%{_mandir}/man8/tunelp.8*
%endif
%{_mandir}/man8/vigr.8*
%{_mandir}/man8/vipw.8*

%{_datadir}/misc/getopt
# %{_datadir}/misc/more.help

%files -n mount
%defattr(-,root,root)
%attr(4755,root,root)   /bin/mount
%attr(4755,root,root)   /bin/umount
/sbin/swapon
/sbin/swapoff
%{_mandir}/man5/fstab.5*
%{_mandir}/man5/nfs.5*
%{_mandir}/man8/mount.8*
%{_mandir}/man8/swapoff.8*
%{_mandir}/man8/swapon.8*
%{_mandir}/man8/umount.8*

%files -n losetup
%defattr(-,root,root)
%{_mandir}/man8/losetup.8*
/sbin/losetup

%changelog
* Wed Jul 23 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.11z-2m)
- raise >> cfdisk
  
* Tue Jun  3 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.11z-1m)
  update to 2.11z
  
* Fri Mar 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.11y-1m)
- update to 2.11y
- sync with rawhide

* Wed Feb  5 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.11r-5m)
- revise util-linux-2.11r-moremisc.patch(rename to util-linux-2.11r-moremisc.patch)
  fix typo in mount.8
  omit patch to cal.c (see [Momonga-devel.ja:01339])
     thanks to Shingo TAKEDA <stakeda--at--iris.eonet.ne.jp>.

* Fri Nov 29 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.11r-4m)
- add version at requires chkconfig for alternatives

* Tue Nov 19 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (2.11r-3m)
- adopt the alternatives system (requries chkconfig, provides pager).

* Fri Sep 13 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.11r-2m)
- mount: remove Prereq: /bin/awk /usr/bin/cmp
- mount: add Prereq: gawk diffutils

* Sun Aug 25 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.11r-1m)
- update to 2.11r
- sync with rawhide
- change util-linux-2.11n-setpwrace.patch is merged into util-linux-2.11r-moremisc.patch
- add cryptoloop patch(momonga-util-linux-2.11r.patch)

* Wed Aug  7 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.11n-7m)
- [security] Add Patch116 (util-linux-2.11n-setpwrace.patch) 
  to fix setpwnam race
  Ref. https://rhn.redhat.com/errata/RHSA-2002-132.html

* Sun May 12 2002 Toru Hoshina <t@kondara.org>
- (2.11n-6k)
- add some patches.

* Mon Apr 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.11n-4k)
- delete Requires: /etc/pam.d/system-auth
- change Prereq: /sbin/install-info   -> info

* Tue Jan 22 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.11n-2k)
- update to 2.11n

* Thu Nov 08 2001 Motonobu Ichimura <famao@kondara.org>
- (2.11l-6k)
- rename cal-li18nux.patch to cal-i18n-0.1.patch and modify it.

* Wed Nov 07 2001 Motonobu Ichimura <famao@kondara.org>
- (2.11l-4k)
- add cal-li18nux.patch

* Tue Oct 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.11l-2k)
- update to 2.11, for security fix

* Wed Oct  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.11k-4k)
- errase Conflict tag

* Tue Oct  2 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.11k-2k)
- update to 2.11k and merge to rh 2.11f-9

* Fri Sep 28 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.10s-18k)
- add xfs.id.patch for XFS

* Mon Sep 24 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.10s-16k)
- add jfs.id.patch for JFS

* Tue Jul 10 2001 Motonobu Ichimura <famao@digitalfactory.co.jp>
- (2.10s-14k)
- fixed pam.d

* Sun May 20 2001 Toru Hoshina <toru@df-usa.com>
- (2.10s-12k)
- force to use /bin/vi instead of /usr/bin/vi :-p

* Fri Apr 27 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.10s-10k)
- modified the bug that display 1f for ReiserFS on bsdmode l command

* Sat Apr 21 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.10s-8k)
- add ReiserFS table to bsd disk label

* Sat Apr 21 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (2.10s-6k)
  fixed compile option to '-O1 -mpowerpc -fsigned-char'.
  include fsck.minix and mkfs.minix.

* Wed Apr 11 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.10s-4k)
- fixed specfile for ppc about %files section

* Thu Mar 22 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.10s-2k)
- update to 2.10s
- add reiserfs.id.patch to determine 0x88 reiserfs

* Sun Dec 10 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.10r-2k)
- update to 2.10r

* Tue Nov 14 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 2.10q

* Sat Oct 21 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.10p-1k)
- update to 2.10p
- patch32 errased

* Wed Oct  4 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.10o-2k)
- update to 2.10o for upper 2.4.0 kernel

* Thu Jul 21 2000 AYUHANA Tomonori <l@kondara.org>
- (2.10m-2k)
- add %patch30,31,32,33 (for nfs-utils)
- rebuild against glibc-2.1.91, X-4.0, rpm-3.0.5

* Thu Mar 02 2000 Shingo Akagaki <dora@kondara.org>
- use static link (more,cfdisk)
- remove unset LINGUAS || :

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- do not shake %{_mandir}/ja

* Tue Feb 1 2000 Masako Hattori <maru@kondara.org>
- update man-pages-ja-util-linux-20000115

* Sat Dec 25 1999 Tenkou N. Hattori <tnh@kondara.org>
- merge util-linux-2.10c-1

* Sat Dec  4 1999 Tenkou N. Hattori <tnh@kondara.org>
- delete %{_mandir}/ja/man8/halt.8

* Tue Nov 30 1999 Masako Hattori <maru@kondara.org>
- add man-pages-ja-util-linux-19991115

* Sun Nov 11 1999 Norihito Ohmori <nono@kondara.org>
- be a NoSrc :-P
- fix ja.po

* Wed Oct 27 1999 Bill Nottingham <notting@redhat.com>
- ship hwclock on alpha.

* Tue Oct  5 1999 Bill Nottingham <notting@redhat.com>
- don't ship symlinks to rdev if we don't ship rdev.

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- add rawIO support from sct

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- don't display "new mail" message when the only piece of mail is from IMAP

* Fri Aug 27 1999 Michael K. Johnson <johnsonm@redhat.com>
- kbdrate is now a console program

* Thu Aug 26 1999 Jeff Johnson <jbj@redhat.com>
- hostid is now in sh-utils. On sparc, install hostid as sunhostid (#4581).
- update to 2.9w:
-  Updated mount.8 (Yann Droneaud)
-  Improved makefiles
-  Fixed flaw in fdisk

* Tue Aug 10 1999 Jeff Johnson <jbj@redhat.com>
- tsort is now in textutils.

* Wed Aug  4 1999 Bill Nottingham <notting@redhat.com>
- turn off setuid bit on login. Again. :(

* Tue Aug  3 1999 Peter Jones, <pjones@redhat.com>
- hostid script for sparc (#3803).

* Tue Aug 03 1999 Christian 'Dr. Disk' Hechelmann <drdisk@tc-gruppe.de>
- added locale message catalogs to %file
- added patch for non-root build
- vigr.8 and /usr/lib/getopt  man-page was missing from file list
- /etc/fdprm really is a config file

* Fri Jul 23 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9v:
-   cfdisk no longer believes the kernel's HDGETGEO
    (and may be able to partition a 2 TB disk)

* Fri Jul 16 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9u:
-   Czech more.help and messages (Ji Pavlovsk)
-   Japanese messages (Daisuke Yamashita)
-   fdisk fix (Klaus G. Wagner)
-   mount fix (Hirokazu Takahashi)
-   agetty: enable hardware flow control (Thorsten Kranzkowski)
-   minor cfdisk improvements
-   fdisk no longer accepts a default device
-   Makefile fix

* Tue Jul  6 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9t:
-   national language support for hwclock
-   Japanese messages (both by Daisuke Yamashita)
-   German messages and some misc i18n fixes (Elrond)
-   Czech messages (Ji Pavlovsk)
-   wall fixed for /dev/pts/xx ttys
-   make last and wall use getutent() (Sascha Schumann)
    [Maybe this is bad: last reading all of wtmp may be too slow.
     Revert in case people complain.]
-   documented UUID= and LABEL= in fstab.5
-   added some partition types
-   swapon: warn only if verbose

* Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.9s.

* Sat May 29 1999 Jeff Johnson <jbj@redhat.com>
- fix mkswap sets incorrect bits on sparc64 (#3140).

* Thu Apr 15 1999 Jeff Johnson <jbj@redhat.com>
- on sparc64 random ioctls on clock interface cause kernel messages.

* Thu Apr 15 1999 Jeff Johnson <jbj@redhat.com>
- improved raid patch (H.J. Lu).

* Wed Apr 14 1999 Michael K. Johnson <johnsonm@redhat.com>
- added patch for smartraid controllers

* Sat Apr 10 1999 Cristian Gafton <gafton@redhat.com>
- fix logging problems caused by setproctitle and PAM interaction
  (#2045)

* Wed Mar 31 1999 Jeff Johnson <jbj@redhat.com>
- include docs and examples for sfdisk (#1164)

* Mon Mar 29 1999 Matt Wilson <msw@redhat.com>
- rtc is not working properly on alpha, we can't use hwclock yet.

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- add patch to make mkswap more 64 bit friendly... Patch from
  eranian@hpl.hp.com (ahem!)

* Thu Mar 25 1999 Jeff Johnson <jbj@redhat.com>
- include sfdisk (#1164)
- fix write (#1784)
- use positive logic in spec file (%ifarch rather than %ifnarch).
- (re)-use 1st matching utmp slot if search by mypid not found.
- update to 2.9o
- lastb wants bad logins in wtmp clone /var/run/btmp (#884)

* Thu Mar 25 1999 Jakub Jelinek <jj@ultra.linux.cz>
- if hwclock is to be compiled on sparc,
  it must actually work. Also, it should obsolete
  clock, otherwise it clashes.
- limit the swap size in mkswap for 2.2.1+ kernels
  by the actual maximum size kernel can handle.
- fix kbdrate on sparc, patch by J. S. Connell
  <ankh@canuck.gen.nz>

* Wed Mar 24 1999 Matt Wilson <msw@redhat.com>
- added pam_console back into pam.d/login

* Tue Mar 23 1999 Matt Wilson <msw@redhat.com>
- updated to 2.9i
- added hwclock for sparcs and alpha

* Mon Mar 22 1999 Erik Troan <ewt@redhat.com>
- added vigr to file list

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- remove most of the ifnarch arm stuff

* Mon Mar 15 1999 Michael Johnson <johnsonm@redhat.com>
- added pam_console.so to /etc/pam.d/login

* Thu Feb  4 1999 Michael K. Johnson <johnsonm@redhat.com>
- .perms patch to login to make it retain root in parent process
  for pam_close_session to work correctly

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- strip fdisk in buildroot correctly (#718)

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- have fdisk compiled on sparc and arm

* Mon Jan 11 1999 Erik Troan <ewt@redhat.com>
- added beos partition type to fdisk

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- incorporate fdisk on all arches

* Sat Dec  5 1998 Jeff Johnson <jbj@redhat.com>
- restore PAM functionality at end of login (Bug #201)

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch top build on the arm without PAM and related utilities, for now.
- build hwclock only on intel

* Wed Nov 18 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 2.9

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)
- patch kbdrate wackiness so it builds with egcs

* Tue Oct 13 1998 Erik Troan <ewt@redhat.com>
- patched more to use termcap

* Mon Oct 12 1998 Erik Troan <ewt@redhat.com>
- added warning about alpha/bsd label starting cylinder

* Mon Sep 21 1998 Erik Troan <ewt@redhat.com>
- use sigsetjmp/siglongjmp in more rather then sig'less versions

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- explicit attrs for setuid/setgid programs

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- sln is now included in glibc

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- add cbm1581 floppy definitions (problem #787)

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- remove /etc/nologin at end of shutdown/halt.

* Fri Jun 19 1998 Jeff Johnson <jbj@redhat.com>
- add mount/losetup.

* Thu Jun 18 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.8 with 2.8b clean up. hostid now defunct?

* Mon Jun 01 1998 David S. Miller <davem@dm.cobaltmicro.com>
- "more" now works properly on sparc

* Sat May 02 1998 Jeff Johnson <jbj@redhat.com>
- Fix "fdisk -l" fault on mounted cdrom. (prob #513)

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Mon Dec 29 1997 Erik Troan <ewt@redhat.com>
- more didn't suspend properly on glibc
- use proper tc*() calls rather then ioctl's

* Sun Dec 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed a security problem in chfn and chsh accepting too 
  long gecos fields

* Fri Dec 19 1997 Mike Wangsmo <wanger@redhat.com>
- removed "." from default path

* Tue Dec 02 1997 Cristian Gafton <gafton@redhat.com>
- added (again) the vipw patch

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- minor cleanups for glibc 2.1

* Fri Oct 17 1997 Michael Fulbright <msf@redhat.com>
- added vfat32 filesystem type to list recognized by fdisk

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- don't build clock on the alpha 
- don't install chkdupexe

* Thu Oct 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- Update to new pam standard.
- BuildRoot.

* Thu Sep 25 1997 Cristian Gafton <gafton@redhat.com>
- added rootok and setproctitle patches
- updated pam config files for chfn and chsh

* Tue Sep 02 1997 Erik Troan <ewt@redhat.com>
- updated MCONFIG to automatically determine the architecture
- added glibc header hacks to fdisk code
- rdev is only available on the intel

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- update to util-linux 2.7, fixed login problems

* Wed Jun 25 1997 Erik Troan <ewt@redhat.com>
- Merged Red Hat changes into main util-linux source, updated package to
  development util-linux (nearly 2.7).

* Tue Apr 22 1997 Michael K. Johnson <johnsonm@redhat.com>
- LOG_AUTH --> LOG_AUTHPRIV in login and shutdown

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved to new pam and from pam.conf to pam.d

* Tue Feb 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- pam.patch differentiated between different kinds of bad logins.
  In particular, "user does not exist" and "bad password" were treated
  differently.  This was a minor security hole.
